Lister ses liens de paiement
curl --request GET \
--url https://api.saspay.me/api/v1/payment-links/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.saspay.me/api/v1/payment-links/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.saspay.me/api/v1/payment-links/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 1,
"next": null,
"previous": null,
"results": [
{
"id": "d2e3f4a5-6b7c-4d8e-9f0a-1b2c3d4e5f6a",
"merchant": "6f1e2b3a-8c4d-4a2f-9e1b-2d3c4f5a6b7c",
"created_by_member": "4a5b6c7d-8e9f-4a0b-9c1d-2e3f4a5b6c7d",
"name": "Facture boutique",
"description": "Paiement en ligne",
"amount_type": "FIXED",
"amount": "15000.00",
"min_amount": null,
"currency": "XOF",
"slug": "kx7f2q1a",
"is_active": true,
"expires_at": null,
"usage_limit": 100,
"usage_count": 0,
"created_at": "2026-08-12T09:00:00Z",
"updated_at": "2026-08-12T09:00:00Z"
}
]
}Liens de paiement
Lister ses liens
Liste paginée, filtrable par marchand ou statut actif
GET
/
payment-links
/
Lister ses liens de paiement
Authorizations
Clé API secrète du marchand — header Authorization: Bearer sk_live_xxx (ou sk_test_xxx en environnement de test).
Query Parameters
Required range:
x <= 100Response
200 - application/json
Liste paginée
⌘I